mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(true)

The enumeration defines the set of supported registry data types and the value that is used for unsupported types (). Starting in the net_v40_long, you can specify not to use a data type with the value.

Use the method to determine the data type of a registry key value before retrieving the value. When you set a registry key value, use the method to specify the registry data type explicitly.

Specifies the data types to use when storing values in the registry, or identifies the data type of a value in the registry.

- Field
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.RegistryValueKind

  Binary data in any form. This value is equivalent to the Win32 API registry data type REG_BINARY.

- Field
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.RegistryValueKind

  A 32-bit binary number. This value is equivalent to the Win32 API registry data type REG_DWORD.

- Field
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.RegistryValueKind

  A null-terminated string that contains unexpanded references to environment variables, such as %PATH%, that are expanded when the value is retrieved. This value is equivalent to the Win32 API registry data type REG_EXPAND_SZ.

- Field
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.RegistryValueKind

  An array of null-terminated strings, terminated by two null characters. This value is equivalent to the Win32 API registry data type REG_MULTI_SZ.

- Field
  4.0.0.0
  Microsoft.Win32.RegistryValueKind

  No data type.

- Field
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.RegistryValueKind

  A 64-bit binary number. This value is equivalent to the Win32 API registry data type REG_QWORD.

- Field
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.RegistryValueKind

  A null-terminated string. This value is equivalent to the Win32 API registry data type REG_SZ.

- Field
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.RegistryValueKind

  An unsupported registry data type. For example, the Microsoft Win32 API registry data type REG_RESOURCE_LIST is unsupported. Use this value to specify that the method should determine the appropriate registry data type when storing a name/value pair.